Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.coding
Class MultipleStringLiteralsCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.MultipleStringLiteralsCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class MultipleStringLiteralsCheck

extends Check

Checks for multiple occurrences of the same string literal within a single file.

Author:
  Daniel Grenner

Constructor Summary
`MultipleStringLiteralsCheck()` Construct an instance with default values.

Method Summary
`void` | `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`void` | `finishTree(DetailAST aRootAST)` Called after finished processing a tree.
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `setAllowedDuplicates(int aAllowedDuplicates)` Sets the maximum allowed duplicates of a string.
`void` | `setIgnoreOccurrenceContext(String[] aStrRep)` Adds a set of tokens the check is interested in.
`void` | `setIgnoreStringsRegexp(String aIgnoreStringsRegexp)` Sets regexp pattern for ignored strings.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleStringLiteralsCheck

    public MultipleStringLiteralsCheck()

  Construct an instance with default values.

Method Detail

### setAllowedDuplicates

    public void setAllowedDuplicates(int aAllowedDuplicates)

  Sets the maximum allowed duplicates of a string.

  Parameters:
    `aAllowedDuplicates` - The maximum number of duplicates.

### setIgnoreStringsRegexp

    public void setIgnoreStringsRegexp(String aIgnoreStringsRegexp)

  Sets regexp pattern for ignored strings.

  Parameters:
    `aIgnoreStringsRegexp` - regexp pattern for ignored strings

### setIgnoreOccurrenceContext

    public final void setIgnoreOccurrenceContext(String[] aStrRep)

  Adds a set of tokens the check is interested in.

  Parameters:
    `aStrRep` - the string representation of the tokens interested in

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### beginTree

    public void beginTree(DetailAST aRootAST)

  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree

### finishTree

    public void finishTree(DetailAST aRootAST)

  Called after finished processing a tree. Ideal place to report on information collected whilst processing a tree.

  Overrides:
    `finishTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD